Subject: RE: Files in /etc missing after new install
From: "BUEHL,REINER (HP-Germany,ex1)" <[email-masked]>
To: [email-masked], John Morrison <[email-masked]>
Cc: "BUEHL,REINER (HP-Germany,ex1)" <[email-masked]>
Date: Tue, 30 Sep 2003 17:15:41 +0200

/etc/postinstall/base-files-profile.sh.done worked, both other scripts
mentioned had errors:

/bin/uname: not found
/bin/cygpath: not found
Unknown system type ; exiting

and

/bin/mkpasswd: not found
/bin/mkgroup: not found

Even though all files exist in /bin (with .exe ending). It seems to be a
permission problem of some kind because if I do a ls -l in /etc I see this:

bash-2.05b$ ls -l /etc
total 114
----------    1 reibuehl mkpasswd     2810 Sep 30 17:05 DIR_COLORS
d---------   13 reibuehl 4294967295        0 Sep 30 13:54 X11
----------    1 reibuehl mkpasswd       28 Sep 30 17:05 bash.bashrc
d---------    3 reibuehl 4294967295        0 Sep 30 13:52 defaults
d---------    2 reibuehl 4294967295        0 Sep 30 13:54 fonts
----------    1 reibuehl 4294967295     4415 Mar 10  2003 man.config
----------    1 reibuehl 4294967295    88039 Sep 16 23:25 moduli
d---------    2 reibuehl 4294967295        0 Sep 30 17:06 postinstall
----------    1 reibuehl mkpasswd     5886 Sep 30 17:05 profile
d---------    2 reibuehl 4294967295        0 Sep 30 13:53 profile.d
d---------    2 reibuehl 4294967295        0 Sep 30 13:57 setup
d---------    2 reibuehl 4294967295        0 Sep 30 17:05 skel
----------    1 reibuehl 4294967295    12546 Jul 16 19:27 termcap

Attached is the output of cygcheck -svr.

Best Regards,
Reiner.

> -----Original Message-----
> From: Igor Pechtchanski [mailto:[email-masked]] 
> Sent: Tuesday, September 30, 2003 5:05 PM
> To: John Morrison
> Cc: BUEHL,REINER (HP-Germany,ex1); [email-masked]
> Subject: Re: Files in /etc missing after new install
> 
> 
> Also
> /etc/postinstall/passwd-grp.sh.done
> 
> which comes from the "base-passwd" package.
> 	Igor
> 
> On Tue, 30 Sep 2003, John Morrison wrote:
> 
> > From a bash prompt
> > /etc/postinstall/base-files-mketc.sh.done
> > /etc/postinstall/base-files-profile.sh.done
> >
> > should create them, if the files don't exist with a .done extension 
> > then postinstall wasn't called.  If they don't exist then 
> you didn't 
> > install the base-files package.
> >
> > J.
> >
> > On Tue, 30 Sep 2003, BUEHL,REINER (HP-Germany,ex1) wrote:
> >
> > > Hi all,
> > >
> > > I just installed cygwin (Setup.exe v2.415). The installation went 
> > > fine, no errors, but all the files that should have been created 
> > > during the postinstall step are missing. There is no 
> /etc/profile, 
> > > no /etc/passwd, no /etc/group and so on. Can anybody help 
> me to fix 
> > > this? I already reinstalled twice... :-(
> > >
> > > Best regards,
> > > Reiner.
> 
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor 
> and his route to the bathroom is a major career booster."  -- 
> Patrick Naughton
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/